package com.huiju.estateagents.controller;


import com.huiju.estateagents.base.BaseController;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.service.ITaPersonBuildingService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

/**
 * <p>
 * 人员授权项目 前端控制器
 * </p>
 *
 * @author jobob
 * @since 2019-05-10
 */
@RestController
@RequestMapping("/api")
public class TaPersonBuildingController extends BaseController {

    private final Logger logger = LoggerFactory.getLogger(TaPersonBuildingController.class);

    @Autowired
    private ITaPersonBuildingService taPersonBuildingService;

    /**
     * 分页查询列表
     * @param pageNum
     * @param pageSize
     * @return
     */
    @RequestMapping(value="/admin/saleCountList",method= RequestMethod.GET)
    public ResponseBean taShareCountList(@RequestParam(value ="pageNum",defaultValue = "1") Integer pageNum,
                                         @RequestParam(value ="pageSize",defaultValue = "10") Integer pageSize,
                                         @RequestParam(value = "buildingId", required = false) String buildingId,
                                         @RequestParam(value ="startCreateDate",required = false) String startCreateDate,
                                         @RequestParam(value ="endCreateDate",required = false) String endCreateDate, HttpServletRequest request
    ){
        ResponseBean responseBean = new ResponseBean();
        try {
            responseBean = taPersonBuildingService.selectList(pageNum, pageSize, getOrgId(request), buildingId, startCreateDate, endCreateDate, getTaPersonBuildingListByUserId(request));
        }catch (Exception e){
            e.printStackTrace();
            logger.error("taShareCountList -=- {}",e.toString());
            responseBean.addError(e.getMessage());
        }
        return responseBean;
    }

}
