package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 楼栋表 
 * </p>
 *
 * @author jobob
 * @since 2020-02-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaBuildingBlock implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 楼栋id
     */
    @TableId(value = "block_id", type = IdType.AUTO)
    private Integer blockId;

    /**
     * 楼盘id
     */
    private String buildingId;

    /**
     * 楼栋名称
     */
    private String blockName;

    /**
     * 期id
     */
    private Integer termId;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 更新时间
     */
    private LocalDateTime updateDate;


}
