package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 小程序消息模板 
 * </p>
 *
 * @author jobob
 * @since 2019-09-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaMiniappTemplate implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo;

    /**
     * 小程序ID
     */
    private String miniappId;

    /**
     * 模板ID
     */
    private String tplId;

    /**
     * 模板名称
     */
    private String tplName;

    /**
     * 模板用途
     */
    private String tplType;

    /**
     * 模板字段数
     */
    private Integer fieldNum;

    /**
     * 是否订阅消息
     */
    private Boolean isSubscribe;

    /**
     * 模板字段列表 | 分隔
     */
    private String tplFields;
}
