package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 新增用户来源表 
 * </p>
 *
 * @author jobob
 * @since 2020-01-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaPersonFromRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 新增用户来源id
     */
    @TableId(value = "from_record_id", type = IdType.AUTO)
    private Integer fromRecordId;

    /**
     * 微信来源字典id
     */
    private String sceneId;

    /**
     * 新增用户id
     */
    private String personId;

    /**
     * 是否第一次
     */
    private Boolean isFirstTime;

    /**
     * 类型ID值
     */
    private String targetId;

    /**
     * 分享人Id
     */
    private String sharePersonId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 楼盘id
     */
    private String buildingId;

    /**
     * 事件
     */
    private String event;

    /**
     * 事件类型
     */
    private String eventType;

    /**
     * 行为
     */
    private String activity;

    /**
     * 微信来源类型
     */
    private String sceneType;
}
