package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 用户消息规则
 * </p>
 *
 * @author jobob
 * @since 2019-09-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaPersonMessageRule implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo;

    /**
     * 人员ID
     */
    private String personId;

    /**
     * 消息类型
     */
    private String messageType;

    /**
     * 内容类型
     */
    private String contentType;

    /**
     * 限制条数
     */
    private Integer limitNum;

    /**
     * 当前使用
     */
    private Integer leftNum;

    /**
     * 上次发送时间
     */
    private LocalDateTime lastSendTime;

    /**
     * 上次消息ID
     */
    private String lastMessageId;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 楼盘id
     */
    private String buildingId;

}
