package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 销售批次表 
 * </p>
 *
 * @author jobob
 * @since 2020-02-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaSalesBatch implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 销售批次id
     */
    @TableId(value = "sales_batch_id", type = IdType.AUTO)
    private Integer salesBatchId;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 楼盘id
     */
    private String buildingId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 销售批次名称
     */
    private String salesBatchName;

    /**
     * 出售房源数
     */
    private Integer salesNumber;

    /**
     * 预选开始时间
     */
    private String preselectionStartTime;

    /**
     * 预选结束时间
     */
    private String preselectionEndTime;

    /**
     * 发布状态
     */
    private Integer status;

    /**
     * 修改时间
     */
    private LocalDateTime updateTime;

    /**
     * 分栋鸟瞰图
     */
    private String aerialViewImg;

    /**
     * 备注 涉及楼栋
     */
    private String remark;

    /**
     * 项目名称
     */
    @TableField(exist = false)
    private String buildingName;

}
