package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 用户访问表
 * </p>
 *
 * @author jobob
 * @since 2019-05-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaShare implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 分享ID
     */
    @TableId(value = "share_id", type = IdType.AUTO)
    private Integer shareId;

    /**
     * 分享人
     */
    private String personId;

    /**
     * 名称
     */
    private String nameOrnick;

    /**
     * 头像
     */
    private String photoOravatar;

    /**
     * 分享对象
     */
    private String beShare;

    /**
     * 对象类型
     */
    private String tagertType;

    /**
     * 分享时间
     */
    private LocalDateTime createDate;

    /**
     * 分享打开人
     */
    @TableField(exist = false)
    private TaPerson openUser;

    /**
     * 分享人姓名
     */
    @TableField(exist = false)
    private String name;

    /**
     * 分享人手机号
     */
    @TableField(exist = false)
    private String phone;

    /**
     * 分享人身份
     */
    @TableField(exist = false)
    private String personType;

    /**
     * 分享方式
     */
    @TableField(exist = false)
    private String shareType;

    /**
     * 销售批次名称
     */
    @TableField(exist = false)
    private String salesBatchName;
}
