package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 拼团记录 
 * </p>
 *
 * @author jobob
 * @since 2019-10-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaShareRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 记录id
     */
    @TableId(value = "record_id", type = IdType.AUTO)
    private Integer recordId;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 活动id
     */
    private Integer groupActivityId;

    /**
     * 拼团者id
     */
    private String personId;

    /**
     * 拼团者姓名
     */
    private String nickname;

    /**
     * 拼团者手机号
     */
    private String phone;

    /**
     * 拼团者头像
     */
    private String avatarurl;

    /**
     * 参与人数
     */
    private Integer joinPeople;

    /**
     * 拼团时间
     */
    private LocalDateTime createTime;

    /**
     * 成团时间
     */
    private LocalDateTime endTime;

    /**
     * 拼团状态 0：拼团成功 1：进行中 2：拼团失败
     */
    private Integer status;

    /**
     * 核销状态
     */
    private Integer verificationStatus;

    /**
     * 核销码
     */
    private String verificationCode;

    @TableField(exist = false)
    private String activityName;

    @TableField(exist = false)
    private String mainImg;

    @TableField(exist = false)
    private Integer activityStatus;

    @TableField(exist = false)
    private LocalDateTime endDate;

    @TableField(exist = false)
    private Integer id;

    /**
     * 是否发起者
     */
    @TableField(exist = false)
    private boolean groupStatus;
}
