package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.huiju.estateagents.statistic.entity.TsPersonFromStatistic;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 微信字典表 
 * </p>
 *
 * @author jobob
 * @since 2020-01-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdWxDict implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 场景值id
     */
    @TableId(value = "scene_id", type = IdType.AUTO)
    private String sceneId;

    /**
     * 场景名称
     */
    private String sceneName;

    /**
     * 场景类型
     */
    private String sceneType;

    /**
     * 场景类型别名
     */
    private String sceneAlias;


    /**
     * 来源人数合集
     */
    @TableField(exist = false)
    private Integer fromData;

    /**
     * 注册人数合集
     */
    @TableField(exist = false)
    private Integer registerSum;
}
