package com.huiju.estateagents.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huiju.estateagents.entity.TaShareCount;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *   Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2020-02-03
 */
@Mapper
public interface TaShareCountMapper extends BaseMapper<TaShareCount> {
    /**
     * 统计分享次数
     * @param personId
     * @return
     */
    Integer countShare(@Param("personId") String personId, @Param("orgId")Integer orgId, @Param("startCreateDate") String startCreateDate, @Param("endCreateDate") String endCreateDate);

    /**
     * 根据条件查询分享内容
     */
    List<TaShareCount> selectListByParams(Page page, @Param("orgId") Integer orgId, @Param("personId") String personId, @Param("shareType") String shareType, @Param("shareTitle") String shareTitle);

    List<TaShareCount> selectClickListByParams(Page page, @Param("orgId") Integer orgId, @Param("personId") String personId, @Param("shareType") String shareType, @Param("shareTitle") String shareTitle);
}

