package com.huiju.estateagents.po;

import com.baomidou.mybatisplus.annotation.TableField;
import com.huiju.estateagents.entity.TaBuildingImg;
import com.huiju.estateagents.entity.TaHousingResources;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @Auther: gusy
 * @Date: 2020/2/11 14:26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaHousingResourcesPO extends TaHousingResources {

    /**
     * 户型名称
     */
    private String apartmentName;

    private Double insideArea;

    private Double buildingArea;

    /**
     * 是否已经预选该房源，true 是 false 否
     */
    @TableField(exist = false)
    private Boolean isPreselect;

    /**
     * 预选开始时间
     */
    private LocalDateTime preselectionStartTime;

    /**
     * 预选结束时间
     */
    private LocalDateTime preselectionEndTime;

    /**
     * 销售批次状态
     */
    private Integer saleBatchStatus;

    /**
     * 户型图片列表
     */
    @TableField(exist = false)
    private List<TaBuildingImg> buildingImgList;
}
