package com.huiju.estateagents.po;

import com.baomidou.mybatisplus.annotation.TableField;
import com.huiju.estateagents.entity.TaBuildingImg;
import com.huiju.estateagents.entity.TaPreselectionRecord;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @Auther: gusy
 * @Date: 2020/2/11 15:16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaPreselectionRecordPO extends TaPreselectionRecord {

    /**
     * 楼栋名称
     */
    private String blockName;

    /**
     * 单元名称
     */
    private String unitName;

    /**
     * 楼层名称
     */
    private String floorName;

    /**
     * 房间名称
     */
    private String roomName;

    /**
     * 价格
     */
    private String price;

    /**
     * 户型id
     */
    private String apartmentId;

    /**
     * 楼盘名称
     */
    private String buildingName;

    /**
     * 户型图片列表
     */
    @TableField(exist = false)
    private List<TaBuildingImg> buildingImgList;

    /**
     * 用户昵称
     */
    private String nameOrnick;

    /**
     * 用户U型明
     */
    private String name;

    /**
     * 用户头像
     */
    private String avatarurl;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 最后修改人
     */
    private String updateName;

    /**
     * 房源状态
     */
    private String housingStatus;

    /**
     * 销售批次装填
     */
    private String saleBatchStatus;
}
