package com.huiju.estateagents.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.entity.TaPreselectionRecord;
import com.huiju.estateagents.po.TaPreselectionRecordPO;

/**
 * <p>
 * 预选记录表  服务类
 * </p>
 *
 * @author jobob
 * @since 2020-02-10
 */
public interface ITaPreselectionRecordService extends IService<TaPreselectionRecord> {

    /**
     * 分页获取当前用户预选记录
     *
     * @param pageNum
     * @param pageSize
     * @param personId
     * @return
     */
    IPage<TaPreselectionRecordPO> listPreselectionRecord(Integer pageNum, Integer pageSize, String personId);

    /**
     * 添加预选记录预选
     *
     * @param taPreselectionRecord
     * @return
     */
    ResponseBean taPreselectionRecordAdd(TaPreselectionRecord taPreselectionRecord);

    /**
     * 取消预选
     *
     * @param personId 用户ID
     * @param houseId  房源ID
     * @return
     */
    Boolean taPreselectionRecordCancel(String personId, String houseId);

    /**
     * 校验用户是否预选
     *
     * @param personId 用户ID
     * @param houseId  房源ID
     * @return
     */
    TaPreselectionRecord checkPreselect(String personId, String houseId);

    ResponseBean selectPreSelectRecordList(Integer pageNum, Integer pageSize, String salesBatchId, Integer houseId, Integer orgId, String phone, String apartmentId, Integer status);

}
