package com.huiju.estateagents.statistic.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 用户来源统计表 
 * </p>
 *
 * @author jobob
 * @since 2020-01-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TsPersonFromStatistic implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "person_from_statistic_id", type = IdType.AUTO)
    private Integer personFromStatisticId;

    /**
     * 场景类型
     */
    private String sceneType;

    /**
     * 事件类型
     */
    private String eventType;

    /**
     * 来源数量
     */
    private Integer fromNum;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 注册数量
     */
    private Integer registeredNum;

    /**
     * 时间
     */
    @TableField(exist = false)
    private String createTime;
}
