package com.huiju.estateagents.statistic.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 用户行为统计表 
 * </p>
 *
 * @author jobob
 * @since 2020-01-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TsUserBehaviorStatistic implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 用户行为统计主键
     */
    @TableId(value = "behavior_id", type = IdType.AUTO)
    private Integer behaviorId;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 楼盘id
     */
    private String buildingId;

    /**
     * 事件名称
     */
    private String eventName;

    /**
     * 事件类型
     */
    private String eventType;

    /**
     * 行为数量统计
     */
    private Integer behaviorNum;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;


}
